﻿using Android.App;
using Android.Widget;
using Android.OS;
using Com.Syncfusion.Gauges.SfCircularGauge;
using Android.Graphics;
using Com.Syncfusion.Gauges.SfCircularGauge.Enums;
using System.Collections.ObjectModel;

namespace TimeLineCirGauge
{
	[Activity(Label = "TimeLineCirGauge", MainLauncher = true, Icon = "@mipmap/icon")]
	public class MainActivity : Activity
	{
		SfCircularGauge circularGauge;
		TickSetting majorTickstings;
		NeedlePointer needlePointer;
		RangePointer rangePointer;
		CircularScale circularScale;

		protected override void OnCreate(Bundle savedInstanceState)
		{
			base.OnCreate(savedInstanceState);

			circularGauge = new SfCircularGauge(this);

			ObservableCollection<CircularScale> _circularScales = new ObservableCollection<CircularScale>();
			ObservableCollection<CircularPointer> _circularPointers = new ObservableCollection<CircularPointer>();
			ObservableCollection<Header> _gaugeHeaders = new ObservableCollection<Header>();
			// adding  new CircularScale
			circularScale = new CircularScale();
			circularScale.StartValue = 0;
			circularScale.EndValue = 270;
			circularScale.StartAngle = 0;
			circularScale.SweepAngle = 360;
			circularScale.RimWidth = 10;
			circularScale.Interval = 20;
			circularScale.RimColor = Color.Black;
			circularScale.ShowTicks = false;
			circularScale.ShowLabels = false;



			circularScale.CircularPointers = _circularPointers;



			CircularRange range1 = new CircularRange();
			range1.StartValue = 200;
			range1.EndValue = 270;
			range1.Offset = 0;
			range1.Color = Color.ParseColor("#57C2B8");
			range1.Width = 10;
			circularScale.CircularRanges.Add(range1);

			_circularScales.Add(circularScale);
			//adding header
			Header circularGaugeHeader = new Header();
			circularGaugeHeader.Text = "Open";
			circularGaugeHeader.TextColor = Color.White;
			circularGaugeHeader.Position = new PointF((float)0.5, (float)0.4);
			circularGaugeHeader.TextSize = 35;
			_gaugeHeaders.Add(circularGaugeHeader);

			Header circularGaugeHeader1 = new Header();
			circularGaugeHeader1.Text = "Dim:90";
			circularGaugeHeader1.TextColor = Color.White;
			circularGaugeHeader1.Position = new PointF((float)0.5, (float)0.5);
			circularGaugeHeader1.TextSize = 20;
			_gaugeHeaders.Add(circularGaugeHeader1);

			Header circularGaugeHeader2 = new Header();
			circularGaugeHeader2.Text = "90 d";
			circularGaugeHeader2.TextColor = Color.White;
			circularGaugeHeader2.Position = new PointF((float)0.9, (float)0.1);
			circularGaugeHeader2.TextSize = 20;
			_gaugeHeaders.Add(circularGaugeHeader2);


			circularGauge.Headers = _gaugeHeaders;
			circularGauge.CircularScales = _circularScales;
			circularGauge.SetBackgroundColor(Color.ParseColor("#556E78"));

			LinearLayout linearLayout = new LinearLayout(this);
			linearLayout.AddView(circularGauge);
			linearLayout.SetPadding(30, 30, 30, 30);
			linearLayout.SetBackgroundColor(Color.ParseColor("#556E78"));

			SetContentView(linearLayout);


		}
	}
}

